petsc-3.4.2 2013-07-02

# MatTransColoringApplySpToDen

Given a symbolic matrix product C=A*B^T for which a MatTransposeColoring context has been created, computes a dense B^T by Apply MatTransposeColoring to sparse B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplySpToDen(MatTransposeColoring coloring,Mat B,Mat Btdense)

Collective on MatTransposeColoring

### Input Parameters

| B | - sparse matrix B
| Btdense | - symbolic dense matrix B^T
| coloring | - coloring context created with MatTransposeColoringCreate()

### Output Parameter

Btdense -dense matrix B^T

### Options Database Keys

| -mat_transpose_coloring_view | - Activates basic viewing or coloring
| -mat_transpose_coloring_view_draw | - Activates drawing of coloring
| -mat_transpose_coloring_view_info | - Activates viewing of coloring info

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy()

### Keywords

coloring

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages